Get all SDK Git connections

View as Markdown
Gets all Git repository connections the authenticated user has access to in the given workspace. Each connection links one Postman Collection or specification and one SDK language to a target Git repository.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

workspaceIdstringRequired
The ID of the workspace that owns the source entities.
sourceIdstringOptional
Filter results by the originating Postman Collection or specification ID.
languageenumOptional
Filter results by SDK language.
statusenumOptional
Filter results by connection status.
Allowed values:
repositoryUrlstringOptionalformat: "uri"
Filter results by the canonical URL of the target Git repository.
cursorstringOptional

The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.

limitintegerOptional<=25Defaults to 25
The maximum number of rows to return in the response, up to a maximum value of 25. Any value greater than 25 returns a 400 Bad Request response.

Response

Successful Response
datalist of objects
A list of SDK Git connections.
metaobject
The response's meta information for paginated results.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error
500
Internal Server Error